erreur Kind 12 avec mon Datacard Pièces jointes dans mon formulaire

Étiquetté : ,

  • erreur Kind 12 avec mon Datacard Pièces jointes dans mon formulaire

    Posté par J L sur 30 mars 2023 à 13h02

    Bonjour à tous, depuis quelques jours je me retrouve avec une erreur que je n’arrive pas à définir comment m’en débarrasser.

    J’ai un formulaire custom SharePoint avec des champs obligatoires et d’autre non, notamment la pièce jointe. Mais dès que j’ouvre le formulaire en mode view ou edit, ou lorsque j’enregistre mon formulaire, j’ai cette erreur :

    alors j’ai activé sur le onerror les messages d’erreurs, et j’ai pu avoir un message “plus explicite” :

    Ce que je sais de l’erreur Kind 12, c’est que c’est inconnu. Mais alors comment je peux investiguer si c’est inconnu ?

    Merci pour votre aide

    PostID=UBY6artV86fez0K

    DavidZed a répondu Il y a 7 mois, 2 semaines 1 Membre · 6 Réponses
  • 6 Réponses
  • DavidZed

    Membre
    30 mars 2023 à 13h50

    Bonjour,

    Il semble que ce soit un problème avec l’actuelle version de l’éditeur power apps, il est possible de contourner le problème en revenant temporairement à une précédente version de l’éditeur.

    Pour changer la version de l’éditeur :

    1: Editer l’application et Aller dans “paramètres”

    2: Aller dans “Assistance”

    3 : Vérfier la version si c’est la version 3.2302.12 ou supérieure cliquer sur Modifier (4)

    et sélectionner la version précédente :

    CommentID=Y4OCG8nGGHD4a47, PostID=UBY6artV86fez0K

  • J L

    Membre
    30 mars 2023 à 13h57

    Merci beaucoup DavidZed , je vais de ce pas le tester 😄

    CommentID=cuHcxmx1YpMx60o, PostID=UBY6artV86fez0K

  • J L

    Membre
    30 mars 2023 à 15h03

    Par contre, j’ai une autre question : je le fais temporairement. Mais dès que je vais apporter des modifications à ma PowerApps, il va revenir à la version “qui ne me plaît pas” ? Du coup, comment je sais que je peux passer à une version récente sans avoir cette régression ?

    Merci

    CommentID=LCYfzE1USi7gK6W, PostID=UBY6artV86fez0K

  • DavidZed

    Membre
    30 mars 2023 à 15h18

    dès que la version recommandée est supérieure à la 3.2302.12, le problème devrait être réglé (normalement) et le changement de version de l’éditeur devrait se faire automatiquement

    CommentID=20nHJFBjuylmGSm, PostID=UBY6artV86fez0K

  • J L

    Membre
    30 mars 2023 à 15h30

    bah justement la version recommandée est la 3.23033.15 et c’est celle là qui me pose souci 😄. Elle est bien supérieure à la 3.23032.12 du coup je comprends pas trop

    CommentID=Z4Y8wFv6e8Ba1Ng, PostID=UBY6artV86fez0K

  • DavidZed

    Membre
    30 mars 2023 à 16h28

    Du coup il faut en déduire que le bug, qui est apparu dans la version 3.2302.12 est toujours présent dans la 3.2302.15

    Il faudrait tester la 3.23034.5 si le bug est corrigé, mais je recommande de créer une appli spécialement pour cela.

    Sinon, autre solution : remplacer le ThisItem.’Pièces Jointes’ qui génère l’erreur par un Lookup(‘La Liste SP’;Id=ThisItem.ID;’Pièces jointes’)

    Cela devrait fonctionner également, sans avoir à switcher de version.

    CommentID=dExvRB0e8vGbkE5, PostID=UBY6artV86fez0K

Connectez-vous pour répondre.